指定されたプロジェクトから 1 つのサーバーレスインスタンスのすべてのスナップショットを返します。このリソースを使用するには、リクエスト元のサービス アカウントまたは API キーにプロジェクトの読み取り専用ロールが必要です。
This API can also be used on Flex clusters that were created with the Create Serverless Instance endpoint or Flex clusters that were migrated from Serverless instances. This endpoint will be sunset on January 22, 2026. Please use the List Flex Backups endpoint instead.
path パラメータ
-
プロジェクトを識別する一意の 24 桁の 16 進数文字列。 認証済みユーザーがアクセスできるすべてのプロジェクトを取得するには、 /groups エンドポイントを使用します。
注: グループとプロジェクトは同義語です。そのため、グループ ID はプロジェクト ID と同じです。既存のグループの場合、グループ/プロジェクト ID は同じままです。リソースおよび対応するエンドポイントでは、グループという用語が使用されます。
形式は次のパターンと一致する必要があります:
^([a-f0-9]{24})$。 -
サーバーレスインスタンスを識別する、人間が判読できるラベル。
形式は次のパターンと一致する必要があります:
^[a-zA-Z0-9][a-zA-Z0-9-]*$。
クエリ パラメータ
-
アプリケーションがレスポンスを
envelopeJSON オブジェクトにラップするかどうかを示すフラグ。一部の API クライアントは、HTTP レスポンス ヘッダーまたはステータス コードにアクセスできません。これを修正するには、クエリで envelope=true を設定します。結果のリストを返すエンドポイントは、結果オブジェクトをエンベロープとして使用します。アプリケーションは、レスポンス本体にステータス パラメータを追加します。デフォルト値は
falseです。 -
レスポンス本体を pretty-print 形式にするかどうかを示すフラグ。
デフォルト値は
falseです。Prettyprint -
レスポンスがレスポンス内の項目の総数(
totalCount)を返すかどうかを示すフラグ。デフォルト値は
trueです。 -
レスポンスが返す 1 ページあたりのアイテムの数。
最小値は
1、最大値は500です。デフォルト値は100です。 -
レスポンスが返す合計オブジェクト数の現在のセットを表示するページの番号。
の最小値は
1です。デフォルト値は1です。
curl \
--request GET 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/serverless/{clusterName}/backup/snapshots' \
--header "Authorization: Bearer $ACCESS_TOKEN"
{
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"results": [
{
"createdAt": "2026-05-04T09:42:00Z",
"expiresAt": "2026-05-04T09:42:00Z",
"frequencyType": "hourly",
"id": "32b6e34b3d91647abb20e7b8",
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"mongodVersion": "string",
"serverlessInstanceName": "string",
"snapshotType": "onDemand",
"status": "queued",
"storageSizeBytes": 42
}
],
"totalCount": 42
}
{
"error": 400,
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"reason": "Bad Request",
"errorCode": "VALIDATION_ERROR"
}
{
"error": 401,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Unauthorized",
"errorCode": "NOT_ORG_GROUP_CREATOR"
}
{
"error": 403,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Forbidden",
"errorCode": "CANNOT_CHANGE_GROUP_NAME"
}
{
"error": 404,
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"reason": "Not Found",
"errorCode": "RESOURCE_NOT_FOUND"
}
{
"error": 500,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Internal Server Error",
"errorCode": "UNEXPECTED_ERROR"
}